> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mesadepagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create fee

> Creates a fee configuration for the authenticated business.



## OpenAPI

````yaml /openapi-v2.en.yaml post /v2/fees
openapi: 3.0.0
info:
  title: YP API Partner
  description: Integration documentation for YP API partners.
  version: v2
  contact: {}
servers:
  - url: https://sandbox-rampa.mesadepagos.com/api
    description: Sandbox
security: []
tags:
  - name: Auth
    description: ''
  - name: Quotes
    description: ''
  - name: Payin
    description: ''
  - name: Payout
    description: ''
  - name: Wallet
    description: ''
  - name: Queries
    description: ''
  - name: Webhooks
    description: ''
  - name: Fees
    description: ''
  - name: Clients
    description: ''
paths:
  /v2/fees:
    post:
      tags:
        - Fees
      summary: Create fee
      description: Creates a fee configuration for the authenticated business.
      operationId: createTenantFee
      parameters: []
      requestBody:
        required: true
        description: Fee data to configure.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTenantFeeRequestDoc'
      responses:
        '201':
          description: Fee created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantFeeResponseDoc'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponseDoc'
        '401':
          description: Missing, invalid, or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponseDoc'
      security:
        - bearer: []
components:
  schemas:
    CreateTenantFeeRequestDoc:
      type: object
      properties:
        pair:
          type: string
          enum:
            - USDC/BOB
            - BOB/USDC
            - USDT/BOB
            - BOB/USDT
            - USDT/PEN
            - USDT/BRL
            - USDT/CLP
            - USDT/COP
            - USDC/PEN
            - USDC/BRL
            - USDC/CLP
            - USDC/COP
            - USDT/USD
            - USDC/USD
            - USDT/EUR
            - USDC/EUR
            - EURC/EUR
          example: USDC/BOB
          description: Currency pair for the fee.
        transactionType:
          type: string
          enum:
            - deposit_express
            - deposit_cash
            - withdrawal_express
            - withdrawal_ach
            - withdrawal_pix
            - deposit_crypto
            - withdrawal_crypto
            - prefunding
            - deposit_card
            - withdrawal_ach_us
            - withdrawal_wire
            - withdrawal_swift
            - withdrawal_sepa
          example: withdrawal_express
          description: Transaction type to which the fee applies.
        amount:
          type: number
          example: 0.5
          description: Fee amount. Must be greater than zero.
          minimum: 0
        type:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: >-
            PERCENTAGE applies to the exchange rate; FIXED applies to the total
            amount.
      required:
        - pair
        - transactionType
        - amount
        - type
    TenantFeeResponseDoc:
      type: object
      properties:
        pair:
          type: string
          enum:
            - USDC/BOB
            - BOB/USDC
            - USDT/BOB
            - BOB/USDT
            - USDT/PEN
            - USDT/BRL
            - USDT/CLP
            - USDT/COP
            - USDC/PEN
            - USDC/BRL
            - USDC/CLP
            - USDC/COP
            - USDT/USD
            - USDC/USD
            - USDT/EUR
            - USDC/EUR
            - EURC/EUR
          example: USDC/BOB
          description: Currency pair configured for the fee.
        transactionType:
          type: string
          enum:
            - deposit_express
            - deposit_cash
            - withdrawal_express
            - withdrawal_ach
            - withdrawal_pix
            - deposit_crypto
            - withdrawal_crypto
            - prefunding
            - deposit_card
            - withdrawal_ach_us
            - withdrawal_wire
            - withdrawal_swift
            - withdrawal_sepa
          example: withdrawal_express
          description: Transaction type to which the fee applies.
        amount:
          type: number
          example: 0.5
          description: Fee amount.
        feeType:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: Configured fee type.
        status:
          type: string
          enum:
            - CURRENT
            - OLD
          example: CURRENT
          description: Fee validity status.
        createdBy:
          type: object
          example: Partner User
          nullable: true
          description: User who created the fee.
        validUntil:
          type: object
          example: '2026-05-12T12:00:00.000Z'
          nullable: true
          description: Date until which the fee was valid, if it has been replaced.
        supersededBy:
          nullable: true
          description: Fee that replaced this record, if present.
          type: object
          allOf:
            - $ref: '#/components/schemas/FeeSnapshotDoc'
        predecessor:
          nullable: true
          description: Previous fee replaced by this record, if present.
          type: object
          allOf:
            - $ref: '#/components/schemas/FeeSnapshotDoc'
      required:
        - pair
        - transactionType
        - amount
        - feeType
        - status
    ValidationErrorResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed
        error:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    UnauthorizedResponseDoc:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
    FeeSnapshotDoc:
      type: object
      properties:
        amount:
          type: number
          example: 0.5
          description: Related fee amount.
        feeType:
          type: string
          enum:
            - FIXED
            - PERCENTAGE
          example: PERCENTAGE
          description: Related fee type.
        createdBy:
          type: object
          example: Partner User
          nullable: true
          description: User who created the related fee.
      required:
        - amount
        - feeType
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT obtained from /v2/auth/login

````